## org.omg.CORBA
Class BAD_QOS

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.BAD_QOS

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class BAD_QOS
extends SystemException

The BAD_QOS exception is raised whenever an object cannot support the quality of service required by an invocation parameter that has a quality of service semantics associated with it.

Since:
  CORBA 2.4
See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`BAD_QOS()`
`BAD_QOS(int minor, CompletionStatus completed)`
`BAD_QOS(java.lang.String orb_reason)`
`BAD_QOS(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAD_QOS

    public BAD_QOS()

### BAD_QOS

    public BAD_QOS(java.lang.String orb_reason)

### BAD_QOS

    public BAD_QOS(int minor,
                   CompletionStatus completed)

### BAD_QOS

    public BAD_QOS(java.lang.String orb_reason,
                   int minor,
                   CompletionStatus completed)